Name:           python-bln
Version:        2.3.11
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python client for the biglocalnews.org API

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/biglocalnews/bln-python-client
Source:         %{pypi_source bln}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'bln' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-bln
Summary:        %{summary}

%description -n python3-bln %_description


%prep
%autosetup -p1 -n bln-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-bln -f %{pyproject_files}


%changelog
%autochangelog